#ifndef TEST_MOVING_MEDIAN_H
#define TEST_MOVING_MEDIAN_H

/*!
  \file
  \brief MovingMedian のテスト

  \author Satofumi KAMIMURA

  $Id: TestMovingMedian.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


//! MovingMedian のテストクラス
class TestMovingMedian : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(TestMovingMedian);
    CPPUNIT_TEST(compileTest);
    CPPUNIT_TEST(setTest);
    CPPUNIT_TEST(medianTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void compileTest(void);
    void setTest(void);
    void medianTest(void);
};

#endif /* !TEST_MOVING_MEDIAN_H */
